Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbDeadlockException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sleepycat.db.DbException
                        |
                        +--com.sleepycat.db.DbDeadlockException

All Implemented Interfaces:
  Serializable

public class DbDeadlockException
extends DbException

This information describes the DbDeadlockException class and how it is used in the Berkeley DB library.

A DbDeadlockException is thrown when multiple threads competing for a lock are deadlocked, when a lock request has timed out, or when a lock request would need to block and the transaction has been configured to not wait for locks. One of the threads' transactions is selected for termination, and a DbDeadlockException is thrown to that thread.

See Also:
  Serialized Form

Methods inherited from class com.sleepycat.db.DbException
`get_errno, getDbEnv, getErrno, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.